geos::geom::util::PolygonExtracter Class Reference

`#include <PolygonExtracter.h>`

Inheritance diagram for geos::geom::util::PolygonExtracter:

## Public Member Functions

| PolygonExtracter (std::vector< const Polygon * > &newComps)
void | filter_rw (Geometry *geom) override
void | filter_ro (const Geometry *geom) override

## Static Public Member Functions

static void | getPolygons (const Geometry &geom, std::vector< const Polygon * > &ret)

## Detailed Description

Extracts all the 2-dimensional (Polygon) components from a Geometry.

## Constructor & Destructor Documentation

## PolygonExtracter()

geos::geom::util::PolygonExtracter::PolygonExtracter | ( | std::vector< const Polygon * > & | newComps | ) |

Constructs a PolygonExtracterFilter with a list in which to store Polygons found.

References PolygonExtracter().

Referenced by PolygonExtracter().

## Member Function Documentation

## filter_ro()

void geos::geom::util::PolygonExtracter::filter_ro | ( | const Geometry * | geom | ) |

override virtual

Reimplemented from geos::geom::GeometryFilter.

## filter_rw()

void geos::geom::util::PolygonExtracter::filter_rw | ( | Geometry * | geom | ) |

override virtual

Reimplemented from geos::geom::GeometryFilter.

## getPolygons()

void geos::geom::util::PolygonExtracter::getPolygons | ( | const Geometry & | geom,
|  | std::vector< const Polygon * > & | ret )

static

Pushes the Polygon components from a single geometry into the provided vector. If more than one geometry is to be processed, it is more efficient to create a single PolygonExtracterFilter instance and pass it to multiple geometries.

The documentation for this class was generated from the following file:

- PolygonExtracter.h